# Create Guard to Allow Ingress with port

Create guard to allow ingress with a port is used to create a CloudekaGuard that will allow ingress traffic to pods with certain labels from pods with other labels that are in different namespaces, and only on certain ports. Using this syntax, you can control inbound access to your web application from permitted clients, and limit that access to only specified ports. You can first run the following syntax to create a YAML file with the name allow-ingress-with-port.

```bash
nano allow-ingress-with-port.yaml
```

Copy and paste the following YAML contents.

```yaml
apiVersion: tenants.cloudeka.ai/v1alpha2
kind: CloudekaGuard
metadata:
  name: allow-ingress-with-port
  namespace: ns1
spec:
  endpointSelector:
    matchLabels:
      app: web-app
  ingress:
  - fromEndpoints:
    - matchLabels:
        app: client-default
    toPorts:
    - ports:
      - port: "8080"
        protocol: TCP
```

After pasting the syntax, save the file by pressing Ctrl + O, then press the Enter key and exit the editor by pressing Ctrl + X. The next step is to apply Cloudeka Guard.

```bash
kubectl apply -f allow-ingress-with-port.yaml
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudeka.ai/guidance-for-individual/deka-gpu/deka-gpu-security/deka-guard/create-guard-to-allow-ingress-with-port.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
